Index: /extensions/photoWidget/CHANGELOG
===================================================================
--- /extensions/photoWidget/CHANGELOG	(revision 26115)
+++ /extensions/photoWidget/CHANGELOG	(revision 26116)
@@ -1,2 +1,6 @@
+photoWidget 0.4.0 - 2013-12-23
+================================
+* Make plugin compatible with plugin 2.6
+
 photoWidget 0.3.0 - 2013-01-06
 ================================
Index: /extensions/photoWidget/MANIFEST
===================================================================
--- /extensions/photoWidget/MANIFEST	(revision 26115)
+++ /extensions/photoWidget/MANIFEST	(revision 26116)
@@ -45,4 +45,5 @@
 photoWidget/language/uk_UA/plugin.lang.php
 photoWidget/language/uk_UA/index.php
+photoWidget/language/uk_UA/description.txt
 photoWidget/language/el_GR/plugin.lang.php
 photoWidget/language/el_GR/index.php
@@ -54,7 +55,13 @@
 photoWidget/language/it_IT/index.php
 photoWidget/language/it_IT/description.txt
+photoWidget/language/pt_BR/plugin.lang.php
+photoWidget/language/pt_BR/index.php
+photoWidget/language/pt_BR/description.txt
 photoWidget/language/sv_SE/plugin.lang.php
 photoWidget/language/sv_SE/index.php
 photoWidget/language/sv_SE/description.txt
+photoWidget/language/zh_CN/plugin.lang.php
+photoWidget/language/zh_CN/index.php
+photoWidget/language/zh_CN/description.txt
 photoWidget/language/hu_HU/plugin.lang.php
 photoWidget/language/hu_HU/index.php
Index: /extensions/photoWidget/admin.php
===================================================================
--- /extensions/photoWidget/admin.php	(revision 26115)
+++ /extensions/photoWidget/admin.php	(revision 26116)
@@ -94,3 +94,2 @@
 $template->assign('PW_HEIGHT', $me->pw_height); 
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-?>
Index: /extensions/photoWidget/default_values.inc.php
===================================================================
--- /extensions/photoWidget/default_values.inc.php	(revision 26115)
+++ /extensions/photoWidget/default_values.inc.php	(revision 26116)
@@ -25,3 +25,2 @@
 $default_values['pw_width'] = 600;
 $default_values['pw_height'] = 400;
-?>
Index: /extensions/photoWidget/include/photoWidgetConfig.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetConfig.class.php	(revision 26115)
+++ /extensions/photoWidget/include/photoWidgetConfig.class.php	(revision 26116)
@@ -88,3 +88,2 @@
   }
 }
-?>
Index: /extensions/photoWidget/include/photoWidgetContent.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 26115)
+++ /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 26116)
@@ -140,3 +140,2 @@
   }
 }
-?>
Index: /extensions/photoWidget/init.php
===================================================================
--- /extensions/photoWidget/init.php	(revision 26115)
+++ /extensions/photoWidget/init.php	(revision 26116)
@@ -47,3 +47,2 @@
 
 set_plugin_data($plugin['id'], $plugin_config);
-?>
Index: /extensions/photoWidget/language/ar_SA/index.php
===================================================================
--- /extensions/photoWidget/language/ar_SA/index.php	(revision 26115)
+++ /extensions/photoWidget/language/ar_SA/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/ar_SA/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/ar_SA/plugin.lang.php	(revision 26116)
@@ -41,3 +41,2 @@
 $lang['Yes'] = 'نعم';
 $lang['You must choose at least one category'] = 'يجب عليك اختيار ألبوم واحد على الأقل ';
-?>
Index: /extensions/photoWidget/language/cs_CZ/index.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/index.php	(revision 26115)
+++ /extensions/photoWidget/language/cs_CZ/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 26116)
@@ -42,4 +42,2 @@
 $lang['Yes'] = 'Ano';
 $lang['You must choose at least one category'] = 'Musíte vybrat alespoň jednu kategorii';
-
-?>
Index: /extensions/photoWidget/language/da_DK/index.php
===================================================================
--- /extensions/photoWidget/language/da_DK/index.php	(revision 26115)
+++ /extensions/photoWidget/language/da_DK/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/da_DK/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/da_DK/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['You choose that mode for'] = 'Du kan vælge den tilstand til';
 $lang['You must choose at least one category'] = 'Du skal vælge mindst et album';
-?>
Index: /extensions/photoWidget/language/de_DE/index.php
===================================================================
--- /extensions/photoWidget/language/de_DE/index.php	(revision 26115)
+++ /extensions/photoWidget/language/de_DE/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/de_DE/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/de_DE/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Ja';
 $lang['You must choose at least one category'] = 'Sie müssen mindestens ein Album wählen';
-?>
Index: /extensions/photoWidget/language/el_GR/index.php
===================================================================
--- /extensions/photoWidget/language/el_GR/index.php	(revision 26115)
+++ /extensions/photoWidget/language/el_GR/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/el_GR/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/el_GR/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['one category'] = 'ένα λεύκωμα';
 $lang['severals categories'] = 'διάφορα λευκώματα';
-?>
Index: /extensions/photoWidget/language/en_UK/index.php
===================================================================
--- /extensions/photoWidget/language/en_UK/index.php	(revision 26115)
+++ /extensions/photoWidget/language/en_UK/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 26116)
@@ -52,3 +52,2 @@
 $lang['This widget requires Flash Player 9 or better'] = 'This widget requires Flash Player 9 or better';
  
-?>
Index: /extensions/photoWidget/language/es_ES/index.php
===================================================================
--- /extensions/photoWidget/language/es_ES/index.php	(revision 26115)
+++ /extensions/photoWidget/language/es_ES/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Si';
 $lang['You must choose at least one category'] = 'Tiene que selecciònar al menos una gategoria';
-?>
Index: /extensions/photoWidget/language/fr_FR/index.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/index.php	(revision 26115)
+++ /extensions/photoWidget/language/fr_FR/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 26116)
@@ -45,3 +45,2 @@
 $lang['Submit'] = 'Valider';
 $lang['Yes'] = 'oui';
-?>
Index: /extensions/photoWidget/language/hu_HU/index.php
===================================================================
--- /extensions/photoWidget/language/hu_HU/index.php	(revision 26115)
+++ /extensions/photoWidget/language/hu_HU/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/hu_HU/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/hu_HU/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Igen';
 $lang['You must choose at least one category'] = 'Legalább egy kategóriát ki kell jelölni';
-?>
Index: /extensions/photoWidget/language/it_IT/index.php
===================================================================
--- /extensions/photoWidget/language/it_IT/index.php	(revision 26115)
+++ /extensions/photoWidget/language/it_IT/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 26116)
@@ -45,3 +45,2 @@
 $lang['Submit'] = 'Invia';
 $lang['Yes'] = 'Si';
-?>
Index: /extensions/photoWidget/language/lv_LV/index.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/index.php	(revision 26115)
+++ /extensions/photoWidget/language/lv_LV/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/lv_LV/plugin.lang.php	(revision 26116)
@@ -43,3 +43,2 @@
 $lang['Yes'] = 'Jā';
 $lang['You must choose at least one category'] = 'Jums jāizvēlas vismaz viens albūms';
-?>
Index: /extensions/photoWidget/language/nb_NO/index.php
===================================================================
--- /extensions/photoWidget/language/nb_NO/index.php	(revision 26115)
+++ /extensions/photoWidget/language/nb_NO/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/nb_NO/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/nb_NO/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Ja';
 $lang['You must choose at least one category'] = 'Du må velge mnist ett album';
-?>
Index: /extensions/photoWidget/language/nl_NL/index.php
===================================================================
--- /extensions/photoWidget/language/nl_NL/index.php	(revision 26115)
+++ /extensions/photoWidget/language/nl_NL/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/nl_NL/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/nl_NL/plugin.lang.php	(revision 26116)
@@ -43,3 +43,2 @@
 $lang['Yes'] = 'Ja';
 $lang['You must choose at least one category'] = 'U moet minstens één categorie kiezen.';
-?>
Index: /extensions/photoWidget/language/pl_PL/index.php
===================================================================
--- /extensions/photoWidget/language/pl_PL/index.php	(revision 26115)
+++ /extensions/photoWidget/language/pl_PL/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/pl_PL/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/pl_PL/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Tak';
 $lang['You must choose at least one category'] = 'Musisz wybrać przynajmniej jedną kategorię';
-?>
Index: /extensions/photoWidget/language/pt_BR/index.php
===================================================================
--- /extensions/photoWidget/language/pt_BR/index.php	(revision 26116)
+++ /extensions/photoWidget/language/pt_BR/index.php	(revision 26116)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
Index: /extensions/photoWidget/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/pt_BR/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/pt_BR/plugin.lang.php	(revision 26116)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['one category'] = 'Um álbum';
 $lang['severals categories'] = 'Vários älbuns';
@@ -43,3 +42,2 @@
 $lang['You choose that mode for'] = 'Você escolheu este modo';
 $lang['You must choose at least one category'] = 'Você deve escolher ao menos um álbum';
-?>
Index: /extensions/photoWidget/language/pt_PT/index.php
===================================================================
--- /extensions/photoWidget/language/pt_PT/index.php	(revision 26115)
+++ /extensions/photoWidget/language/pt_PT/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/pt_PT/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/pt_PT/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['severals categories'] = 'todas as categorias';
 $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Este plugin exibe as miniaturas na forma de uma animação flash em 3D';
-?>
Index: /extensions/photoWidget/language/ru_RU/index.php
===================================================================
--- /extensions/photoWidget/language/ru_RU/index.php	(revision 26115)
+++ /extensions/photoWidget/language/ru_RU/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/ru_RU/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/ru_RU/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Да';
 $lang['You must choose at least one category'] = 'Нужно выбрать хотя бы одну категорию';
-?>
Index: /extensions/photoWidget/language/sk_SK/index.php
===================================================================
--- /extensions/photoWidget/language/sk_SK/index.php	(revision 26115)
+++ /extensions/photoWidget/language/sk_SK/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/sk_SK/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/sk_SK/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Áno';
 $lang['You must choose at least one category'] = 'Musíte označiť najmenej jednu kategóriu';
-?>
Index: /extensions/photoWidget/language/sv_SE/index.php
===================================================================
--- /extensions/photoWidget/language/sv_SE/index.php	(revision 26115)
+++ /extensions/photoWidget/language/sv_SE/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/templates/index.php
===================================================================
--- /extensions/photoWidget/language/templates/index.php	(revision 26115)
+++ /extensions/photoWidget/language/templates/index.php	(revision 26116)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/templates/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/templates/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/templates/plugin.lang.php	(revision 26116)
@@ -45,3 +45,2 @@
 // public
 $lang['This widget requires Flash Player 9 or better'] = '';
-?>
Index: /extensions/photoWidget/language/tr_TR/index.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/index.php	(revision 26115)
+++ /extensions/photoWidget/language/tr_TR/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/tr_TR/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['Yes'] = 'Evet';
 $lang['You must choose at least one category'] = 'En az bir albüm seçmelisiniz';
-?>
Index: /extensions/photoWidget/language/uk_UA/index.php
===================================================================
--- /extensions/photoWidget/language/uk_UA/index.php	(revision 26115)
+++ /extensions/photoWidget/language/uk_UA/index.php	(revision 26116)
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/photoWidget/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/uk_UA/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/uk_UA/plugin.lang.php	(revision 26116)
@@ -42,3 +42,2 @@
 $lang['You can choose that mode for displaying one, severals or all categories'] = 'Ви можете вибрати цей режим для відображення одного, декількох або всі альбоми';
 $lang['You choose that mode for'] = 'Вибрати цей режим для';
-?>
Index: /extensions/photoWidget/language/zh_CN/index.php
===================================================================
--- /extensions/photoWidget/language/zh_CN/index.php	(revision 26116)
+++ /extensions/photoWidget/language/zh_CN/index.php	(revision 26116)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
Index: /extensions/photoWidget/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/zh_CN/plugin.lang.php	(revision 26115)
+++ /extensions/photoWidget/language/zh_CN/plugin.lang.php	(revision 26116)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = '该插件以flash动画旋转3D的形式显示图片。它像普通相册一样工作，但效果更炫更有趣。';
 $lang['one category'] = '1个相册';
@@ -43,3 +42,2 @@
 $lang['You choose that mode for'] = '您为以下相册选择该模式';
 $lang['You must choose at least one category'] = '您必须至少选择1个相册';
-?>