Index: /extensions/Subscribe_to_comments/include/events.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/events.inc.php	(revision 26143)
+++ /extensions/Subscribe_to_comments/include/events.inc.php	(revision 26144)
@@ -78,8 +78,6 @@
         }
       }
-    }
-    else
-    {
-      $template->assign('STC_MODE', $_POST['stc_mode']);
+
+      unset($_POST['stc_mode']);
     }
   }
@@ -160,4 +158,5 @@
         break;
     }
+    unset($_POST['stc_mode']);
   }
   else if (isset($_GET['stc_unsubscribe']))
@@ -167,4 +166,16 @@
       $page['infos'][] = l10n('Successfully unsubscribed your email address from receiving notifications.');
     }
+  }
+
+  $tpl_vars = array(
+    'ASK_MAIL' => is_a_guest() or empty($user['email']),
+    'ON_PICTURE' => true,
+    'ALLOW_ALBUM_IMAGES' => !empty($page['category']['id']),
+    'ALLOW_GLOBAL' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'] || is_admin(),
+    );
+
+  if (!empty($_POST['stc_mode']))
+  {
+    $tpl_vars['MODE'] = $_POST['stc_mode'];
   }
 
@@ -220,20 +231,12 @@
     if ($subscribed)
     {
-      $template->assign(array(
-        'SUBSCRIBED' => $subscribed,
-        'UNSUB_LINK' => add_url_params($picture['current']['url'], array('stc_unsubscribe'=>$stc_id)),
-        ));
-    }
-  }
-  else
-  {
-    $template->assign('STC_ASK_MAIL', true);
+      $tpl_vars['SUBSCRIBED'] = $subscribed;
+      $tpl_vars['U_UNSUB'] = add_url_params($picture['current']['url'], array('stc_unsubscribe'=>$stc_id));
+    }
   }
 
   $template->assign(array(
-    'STC_ON_PICTURE' => true,
-    'STC_ALLOW_ALBUM_IMAGES' => !empty($page['category']['id']),
-    'STC_ALLOW_GLOBAL' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'] || is_admin(),
     'SUBSCRIBE_TO_PATH' => SUBSCRIBE_TO_PATH,
+    'STC' => $tpl_vars,
     ));
 
@@ -249,13 +252,5 @@
   global $page, $template, $user, $conf;
 
-  if (
-      !defined('COA_ID') or script_basename() != 'index' or
-      @$page['section'] != 'categories' or !isset($page['category'])
-    )
-  {
-    return;
-  }
-
-	// standalone subscription
+  // standalone subscription
   if (isset($_POST['stc_submit']))
   {
@@ -269,4 +264,5 @@
         break;
     }
+    unset($_POST['stc_mode']);
   }
   else if (isset($_GET['stc_unsubscribe']))
@@ -278,12 +274,18 @@
   }
 
+  $tpl_vars = array(
+    'ASK_MAIL' => is_a_guest() or empty($user['email']),
+    'ON_ALBUM' => true,
+    'ALLOW_GLOBAL' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'] || is_admin(),
+    );
+
+  if (!empty($_POST['stc_mode']))
+  {
+    $tpl_vars['MODE'] = $_POST['stc_mode'];
+  }
+
   // if registered user we check if already subscribed
-  if ( !is_a_guest() and !empty($user['email']) )
-  {
-    $element_url = make_index_url(array(
-      'section' => 'categories',
-      'category' => $page['category'],
-      ));
-
+  if (!is_a_guest() and !empty($user['email']))
+  {
     $subscribed = false;
 
@@ -322,18 +324,16 @@
     if ($subscribed)
     {
-      $template->assign(array(
-        'SUBSCRIBED' => $subscribed,
-        'UNSUB_LINK' => add_url_params($element_url, array('stc_unsubscribe'=>$stc_id)),
+      $element_url = make_index_url(array(
+        'section' => 'categories',
+        'category' => $page['category'],
         ));
-    }
-  }
-  else
-  {
-    $template->assign('STC_ASK_MAIL', true);
+
+      $tpl_vars['SUBSCRIBED'] = $subscribed;
+      $tpl_vars['U_UNSUB'] = add_url_params($element_url, array('stc_unsubscribe'=>$stc_id));
+    }
   }
 
   $template->assign(array(
-    'STC_ON_ALBUM' => true,
-    'STC_ALLOW_GLOBAL' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'] || is_admin(),
+    'STC' => $tpl_vars,
     'SUBSCRIBE_TO_PATH' => SUBSCRIBE_TO_PATH,
     ));
@@ -346,15 +346,15 @@
  * main prefilter
  */
-function stc_main_prefilter($content, &$smarty)
+function stc_main_prefilter($content)
 {
   ## subscribe at any moment ##
-  $search = '{if isset($comments)}';
-  $replace = file_get_contents(SUBSCRIBE_TO_PATH.'template/form_standalone.tpl');
-  $content = str_replace($search, $replace.$search, $content);
+  $search = '{if isset($comment_add)}';
+  $add = file_get_contents(SUBSCRIBE_TO_PATH.'template/form_outside.tpl');
+  $content = str_replace($search, $search.$add, $content);
 
   ## subscribe while add a comment ##
   $search = '{$comment_add.CONTENT}</textarea></p>';
-  $replace = file_get_contents(SUBSCRIBE_TO_PATH.'template/form_comment.tpl');
-  $content = str_replace($search, $search.$replace, $content);
+  $add = file_get_contents(SUBSCRIBE_TO_PATH.'template/form_inside.tpl');
+  $content = str_replace($search, $search.$add, $content);
 
   return $content;
Index: /extensions/Subscribe_to_comments/include/functions.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/functions.inc.php	(revision 26143)
+++ /extensions/Subscribe_to_comments/include/functions.inc.php	(revision 26144)
@@ -93,6 +93,6 @@
   }
 
-  $comm['author'] = trigger_event('render_comment_author', $comm['author']);
-  $comm['content'] = trigger_event('render_comment_content', $comm['content']);
+  $comm['author'] = trigger_change('render_comment_author', $comm['author']);
+  $comm['content'] = trigger_change('render_comment_content', $comm['content']);
 
   include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
@@ -452,5 +452,5 @@
     $element['name'] = get_name_from_file($element['file']);
   }
-  $element['name'] = trigger_event('render_element_name', $element['name']);
+  $element['name'] = trigger_change('render_element_name', $element['name']);
 
   $element['url'] = make_picture_url(array(
@@ -504,5 +504,5 @@
     ));
 
-  $element['name'] = trigger_event('render_category_name', $element['name']);
+  $element['name'] = trigger_change('render_category_name', $element['name']);
 
   if ($with_thumb)
@@ -523,39 +523,4 @@
 
   return $element;
-}
-
-/**
- * get list of admins email
- * @return: string
- */
-function get_admins_email()
-{
-  global $conf, $user;
-
-  $admins = array();
-
-  $query = '
-SELECT
-    u.'.$conf['user_fields']['username'].' AS username,
-    u.'.$conf['user_fields']['email'].' AS email
-  FROM '.USERS_TABLE.' AS u
-    JOIN '.USER_INFOS_TABLE.' AS i
-      ON i.user_id =  u.'.$conf['user_fields']['id'].'
-  WHERE i.status IN ("webmaster", "admin")
-    AND '.$conf['user_fields']['email'].' IS NOT NULL
-    AND i.user_id != '.$user['id'].'
-  ORDER BY username
-;';
-
-  $datas = pwg_query($query);
-  if (!empty($datas))
-  {
-    while ($admin = pwg_db_fetch_assoc($datas))
-    {
-      array_push($admins, format_email($admin['username'], $admin['email']));
-    }
-  }
-
-  return implode(',', $admins);
 }
 
Index: /extensions/Subscribe_to_comments/include/subscriptions_page.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscriptions_page.inc.php	(revision 26143)
+++ /extensions/Subscribe_to_comments/include/subscriptions_page.inc.php	(revision 26144)
@@ -18,5 +18,4 @@
   }
 }
-
 
 
@@ -73,5 +72,6 @@
   }
 
-  $template->assign('MANAGE_LINK', make_stc_url('manage', $_GET['email']));
+  $self_url = make_stc_url('manage', $_GET['email']);
+  $template->assign('U_MANAGE_SUBSCRIPTIONS', $self_url);
 }
 
@@ -122,5 +122,5 @@
       }
 
-      $template->assign(array(
+      $template->assign('STC', array(
         'type' => $type,
         'element' => $element,
@@ -176,5 +176,5 @@
       }
 
-      $template->assign(array(
+      $template->assign('STC', array(
         'type' => $type,
         'element' => $element,
@@ -202,4 +202,9 @@
       {
         $subscription['registration_date'] = format_date($subscription['registration_date'], true);
+        $subscription['U_UNSUB'] = add_url_params($self_url, array('unsubscribe'=>$subscription['id']));
+        if ($subscription['validated']=='false')
+        {
+          $subscription['U_VALIDATE'] = add_url_params($self_url, array('validate'=>$subscription['id']));
+        }
 
         switch ($subscription['type'])
Index: /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 26143)
+++ /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 26144)
@@ -32,5 +32,4 @@
 $lang['Stop receiving notifications'] = 'Stop receiving notifications';
 $lang['New subscription on %s'] = 'New subscription on %s';
-$lang['Subscribe to comments on %s'] = 'Subscribe to comments on %s';
 $lang['You requested to subscribe by email to comments on %s.'] = 'You requested to subscribe by email to comments on %s..';
 $lang['To activate, click the confirm button. If you believe this is an error, please just ignore this message.'] = 'To activate, click the confirm button. If you believe this is an error, please just ignore this message.';
@@ -54,4 +53,5 @@
 $lang['Apply action'] = 'Apply action';
 $lang['Choose an action'] = 'Choose an action';
+$lang['Subscribe without commenting'] = 'Subscribe without commenting';
 
 ?>
Index: /extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php	(revision 26143)
+++ /extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php	(revision 26144)
@@ -42,5 +42,4 @@
 $lang['New comment on %s'] = 'Nouveau commentaire sur %s';
 $lang['Stop receiving notifications'] = 'Arrêter de recevoir les notifications';
-$lang['Subscribe to comments on %s'] = 'Inscriptions aux commentaires de %s';
 $lang['Subscriptions of %s'] = 'Inscriptions de %s';
 $lang['You are currently subscribed to comments on %s.'] = 'Vous êtes inscrits aux commentaires sur %s.';
@@ -50,8 +49,9 @@
 $lang['All album photos'] = 'Toutes les images d\'un album';
 $lang['&#9733; : registered users'] = '&#9733; : utilisateurs enregistrées';
-
+$lang['Subscribe without commenting'] = 'S\'inscrire sans commenter';
 $lang['No result'] = 'Aucun résultat';
 $lang['<b>%s</b> wrote on <i>%s</i>'] = '<b>%s</b> a écrit le <i>%s</i>';
 $lang['Apply action'] = 'Appliquer l\'action';
 $lang['Choose an action'] = 'Choisir une action';
+
 ?>
Index: /extensions/Subscribe_to_comments/main.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/main.inc.php	(revision 26143)
+++ /extensions/Subscribe_to_comments/main.inc.php	(revision 26144)
@@ -50,5 +50,5 @@
     // subscribe
     add_event_handler('loc_end_picture', 'stc_on_picture');
-    add_event_handler('loc_begin_coa', 'stc_on_album');
+    add_event_handler('loc_end_coa', 'stc_on_album');
 
     // management
Index: tensions/Subscribe_to_comments/template/form_comment.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_comment.tpl	(revision 26143)
+++ 	(revision )
@@ -1,47 +1,0 @@
-{if !$SUBSCRIBED}
-
-<p>
-  {'Notify me of followup comments'|translate} :<br>
-  <label><input type="radio" name="stc_mode" value="-1" {if !$STC_MODE}checked{/if}> {'No'|translate}</label>
-  {if $STC_ON_PICTURE}
-    {if $STC_ALLOW_GLOBAL}
-      <label><input type="radio" name="stc_mode" value="image" {if $STC_MODE=="image"}checked{/if}> {'this picture'|translate}</label>
-      {if $STC_ALLOW_ALBUM_IMAGES}<label><input type="radio" name="stc_mode" value="album-images" {if $STC_MODE=="album-images"}checked{/if}> {'all pictures of this album'|translate}</label>{/if}
-      <label><input type="radio" name="stc_mode" value="all-images" {if $STC_MODE=="all-images"}checked{/if}> {'all pictures of the gallery'|translate}</label>
-    {else}
-      <label><input type="radio" name="stc_mode" value="image" {if $STC_MODE=="image"}checked{/if}> {'Yes'|translate}</label>
-    {/if}
-  {elseif $STC_ON_ALBUM}
-    {if $STC_ALLOW_GLOBAL}
-      <label><input type="radio" name="stc_mode" value="album" {if $STC_MODE=="album"}checked{/if}> {'this album'|translate}</label>
-      <label><input type="radio" name="stc_mode" value="all-albums" {if $STC_MODE=="all-albums"}checked{/if}> {'all albums of the gallery'|translate}</label>
-    {else}
-      <label><input type="radio" name="stc_mode" value="album" {if $STC_MODE=="album"}checked{/if}> {'Yes'|translate}</label>
-    {/if}
-  {/if}
-</p>
-
-{if $STC_ASK_MAIL}
-{footer_script require='jquery'}
-(function($){
-	var $stc_email_input = $("#addComment input[name='email']");
-  var stc_bordercolor = $stc_email_input.css('border-color');
-
-  $("#addComment input[name='stc_mode']").change(function() {
-    if ($(this).val() != "-1") {
-      if ($stc_email_input.val()=="") {
-        $stc_email_input.css("border-color", "red");
-      }
-    }
-    else {
-      $stc_email_input.css("border-color", stc_bordercolor);
-    }
-  });
-  $stc_email_input.change(function() {
-    $(this).css('border-color', stc_bordercolor);
-  });
-}(jQuery));
-{/footer_script}
-{/if}
-
-{/if}
Index: /extensions/Subscribe_to_comments/template/form_inside.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_inside.tpl	(revision 26144)
+++ /extensions/Subscribe_to_comments/template/form_inside.tpl	(revision 26144)
@@ -0,0 +1,45 @@
+{if isset($STC.SUBSCRIBED)}
+{strip}
+  {if $STC.SUBSCRIBED=='all-images'}
+    {assign var=str value='all pictures of the gallery'|translate}
+  {else if $STC.SUBSCRIBED=='album-images'}
+    {assign var=str value='all pictures of this album'|translate}
+  {else if $STC.SUBSCRIBED=='image'}
+    {assign var=str value='this picture'|translate}
+  {else if $STC.SUBSCRIBED=='all-albums'}
+    {assign var=str value='all albums of the gallery'|translate}
+  {else if $STC.SUBSCRIBED=='album'}
+    {assign var=str value='this album'|translate}
+  {/if}
+{/strip}
+<p>
+  {'You are currently subscribed to comments on %s.'|translate:$str}
+  <a href="{$STC.U_UNSUB}">{'Unsubscribe'|translate}</a>
+</p>
+
+{else}
+<p>
+  {'Notify me of followup comments'|translate} :<br>
+  <label><input type="radio" name="stc_mode" value="-1" {if !$STC.MODE}checked{/if}> {'No'|translate}</label>
+  {if $STC.ON_PICTURE}
+    {if $STC.ALLOW_GLOBAL}
+      <label><input type="radio" name="stc_mode" value="image" {if $STC.MODE=="image"}checked{/if}> {'this picture'|translate}</label>
+      {if $STC.ALLOW_ALBUM_IMAGES}<label><input type="radio" name="stc_mode" value="album-images" {if $STC.MODE=="album-images"}checked{/if}> {'all pictures of this album'|translate}</label>{/if}
+      <label><input type="radio" name="stc_mode" value="all-images" {if $STC.MODE=="all-images"}checked{/if}> {'all pictures of the gallery'|translate}</label>
+    {else}
+      <label><input type="radio" name="stc_mode" value="image" {if $STC.MODE=="image"}checked{/if}> {'Yes'|translate}</label>
+    {/if}
+  {else if $STC.ON_ALBUM}
+    {if $STC.ALLOW_GLOBAL}
+      <label><input type="radio" name="stc_mode" value="album" {if $STC.MODE=="album"}checked{/if}> {'this album'|translate}</label>
+      <label><input type="radio" name="stc_mode" value="all-albums" {if $STC.MODE=="all-albums"}checked{/if}> {'all albums of the gallery'|translate}</label>
+    {else}
+      <label><input type="radio" name="stc_mode" value="album" {if $STC.MODE=="album"}checked{/if}> {'Yes'|translate}</label>
+    {/if}
+  {/if}
+</p>
+<p>
+  <a href="#stc_standalone" id="open_stc_standalone" title="{'Subscribe to mail notifications'|translate}">{'Subscribe without commenting'|translate}</a>
+</p>
+
+{/if}
Index: /extensions/Subscribe_to_comments/template/form_outside.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_outside.tpl	(revision 26144)
+++ /extensions/Subscribe_to_comments/template/form_outside.tpl	(revision 26144)
@@ -0,0 +1,75 @@
+{combine_script id='jquery.colorbox' load='footer' require='jquery' path='themes/default/js/plugins/jquery.colorbox.min.js'}
+{combine_css id='colorbox' path='themes/default/js/plugins/colorbox/style2/colorbox.css'}
+
+{footer_script require='jquery,jquery.colorbox'}
+(function($){
+  $('#open_stc_standalone').colorbox({
+    inline: true
+  });
+
+  var bg_color = 'white';
+  $.each(['#the_page #content', 'body'], function(i, selector) {
+    var color = $(selector).css('background-color');
+    if (color && color!='transparent') {
+      bg_color = color;
+      return false;
+    }
+  });
+  $('#stc_standalone').css('background-color', bg_color);
+
+{if $STC.ALLOW_GLOBAL}
+  $("#stc_submit").hide();
+  $("#stc_standalone input[name='stc_mode']").change(function() {
+    $("#stc_submit").show();
+    $.colorbox.resize({ speed:0 });
+  });
+{/if}
+
+{if !isset($STC_SUBSCRIBED) and $STC.ASK_MAIL}
+	var $stc_email_input = $("#addComment input[name='email']");
+  var stc_bordercolor = $stc_email_input.css('border-color');
+
+  $("#addComment input[name='stc_mode']").change(function() {
+    if ($(this).val() != "-1") {
+      if ($stc_email_input.val()=="") {
+        $stc_email_input.css("border-color", "red");
+      }
+    }
+    else {
+      $stc_email_input.css("border-color", stc_bordercolor);
+    }
+  });
+  $stc_email_input.change(function() {
+    $(this).css('border-color', stc_bordercolor);
+  });
+{/if}
+}(jQuery));
+{/footer_script}
+
+<div style="display:none">
+  <form method="post" action="{$comment_add.F_ACTION}" id="stc_standalone" style="padding:10px;min-width:350px;">
+  {if $STC.ON_PICTURE}
+    {if $STC.ALLOW_GLOBAL}
+      <label><input type="radio" name="stc_mode" value="image"> {'this picture'|translate}</label>
+      {if $STC.ALLOW_ALBUM_IMAGES}<label><input type="radio" name="stc_mode" value="album-images"> {'all pictures of this album'|translate}</label>{/if}
+      <label><input type="radio" name="stc_mode" value="all-images"> {'all pictures of the gallery'|translate}</label>
+    {else}
+      <input type="hidden" name="stc_mode" value="image">
+    {/if}
+  {else if $STC.ON_ALBUM}
+    {if $STC.ALLOW_GLOBAL}
+      <label><input type="radio" name="stc_mode" value="album"> {'this album'|translate}</label>
+      <label><input type="radio" name="stc_mode" value="all-albums"> {'all albums of the gallery'|translate}</label>
+    {else}
+      <input type="hidden" name="stc_mode" value="album">
+    {/if}
+  {/if}
+    {if $STC.ALLOW_GLOBAL and $STC.ASK_MAIL}<br>{/if}
+    <span id="stc_submit">
+    {if $STC.ASK_MAIL}
+      <label>{'Email'|translate} <input type="text" name="stc_mail" size="30"></label>
+    {/if}
+      <label><input type="submit" name="stc_submit" value="{'Subscribe'|translate}"></label>
+    </span>
+  </form>
+</div>
Index: tensions/Subscribe_to_comments/template/form_standalone.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_standalone.tpl	(revision 26143)
+++ 	(revision )
@@ -1,60 +1,0 @@
-{combine_css path=$SUBSCRIBE_TO_PATH|cat:'template/style_form.css'}
-
-{if $STC_ALLOW_GLOBAL}
-{footer_script require='jquery'}
-  jQuery("#stc_submit").hide();
-  jQuery("#stc_standalone input[name='stc_mode']").change(function() {
-    jQuery("#stc_submit").show();
-  });
-{/footer_script}
-{/if}
-
-{if isset($comment_add)}
-<div id="pictureCommentList">
-<form method="post" action="{$comment_add.F_ACTION}" id="stc_standalone">
-  <fieldset>{strip}
-  {if $SUBSCRIBED}
-    {if $SUBSCRIBED=='all-images'}
-      {assign var=str value='all pictures of the gallery'|translate}
-    {elseif $SUBSCRIBED=='album-images'}
-      {assign var=str value='all pictures of this album'|translate}
-    {elseif $SUBSCRIBED=='image'}
-      {assign var=str value='this picture'|translate}
-    {elseif $SUBSCRIBED=='all-albums'}
-      {assign var=str value='all albums of the gallery'|translate}
-    {elseif $SUBSCRIBED=='album'}
-      {assign var=str value='this album'|translate}
-    {/if}
-
-    {'You are currently subscribed to comments on %s.'|translate|sprintf:$str}
-    <a href="{$UNSUB_LINK}">{'Unsubscribe'|translate}</a>
-  {else}
-    <legend>{'Subscribe to mail notifications'|translate}</legend>
-    {if $STC_ON_PICTURE}
-      {if $STC_ALLOW_GLOBAL}
-        <label><input type="radio" name="stc_mode" value="image"> {'this picture'|translate}</label>
-        {if $STC_ALLOW_ALBUM_IMAGES}<label><input type="radio" name="stc_mode" value="album-images"> {'all pictures of this album'|translate}</label>{/if}
-        <label><input type="radio" name="stc_mode" value="all-images"> {'all pictures of the gallery'|translate}</label>
-      {else}
-        <input type="hidden" name="stc_mode" value="image">
-      {/if}
-    {elseif $STC_ON_ALBUM}
-      {if $STC_ALLOW_GLOBAL}
-        <label><input type="radio" name="stc_mode" value="album"> {'this album'|translate}</label>
-        <label><input type="radio" name="stc_mode" value="all-albums"> {'all albums of the gallery'|translate}</label>
-      {else}
-        <input type="hidden" name="stc_mode" value="album">
-      {/if}
-    {/if}
-    {if $STC_ALLOW_GLOBAL and $STC_ASK_MAIL}<br>{/if}
-    <span id="stc_submit">
-    {if $STC_ASK_MAIL}
-        <label>{'Email'|translate} <input type="text" name="stc_mail" size="30"></label>
-    {/if}
-      <label><input type="submit" name="stc_submit" value="{'Subscribe'|translate}"></label>
-    </span>
-  {/if}
-  {/strip}</fieldset>
-</form>
-</div>
-{/if}
Index: tensions/Subscribe_to_comments/template/style_form.css
===================================================================
--- /extensions/Subscribe_to_comments/template/style_form.css	(revision 26143)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#stc_standalone fieldset {
-  border-radius:6px;
-}
-#stc_standalone input {
-  margin:3px !important;
-}
Index: /extensions/Subscribe_to_comments/template/subscriptions_page.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/subscriptions_page.tpl	(revision 26143)
+++ /extensions/Subscribe_to_comments/template/subscriptions_page.tpl	(revision 26144)
@@ -4,13 +4,13 @@
 {if $IN_VALIDATE or $IN_UNSUBSCRIBE}
 <p>
-  {if !empty($element)}<a href="{$element.url}" title="{$element.name}">{'Return to item page'|@translate}</a><br>{/if}
-  <a href="{$MANAGE_LINK}">{'Manage my subscriptions'|@translate}</a>
+  {if !empty($STC.element)}<a href="{$STC.element.url}" title="{$STC.element.name}">{'Return to item page'|translate}</a><br>{/if}
+  <a href="{$U_MANAGE_SUBSCRIPTIONS}">{'Manage my subscriptions'|translate}</a>
 </p>
 
 {else}
-<form action="{$MANAGE_LINK}" method="post">
+<form action="{$U_MANAGE_SUBSCRIPTIONS}" method="post">
   {if !empty($global_subscriptions)}
   <fieldset>
-    <legend>{'Global subscriptions'|@translate}</legend>
+    <legend>{'Global subscriptions'|translate}</legend>
     <table class="subscriptions_list">
       {foreach from=$global_subscriptions item=sub name=subs_loop}
@@ -18,16 +18,16 @@
         <td>
           {if $sub.type == 'all-images'}
-            {assign var=str value='all pictures of the gallery'|@translate}
+            {assign var=str value='all pictures of the gallery'|translate}
             <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png">
           {else $sub.type == 'all-albums'}
-            {assign var=str value='all albums of the gallery'|@translate}
+            {assign var=str value='all albums of the gallery'|translate}
             <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png">
           {/if}
-          {'You are currently subscribed to comments on %s.'|@translate|sprintf:$str}
+          {'You are currently subscribed to comments on %s.'|translate:$str}
         </td>
         <td style="white-space:nowrap;">
           <div class="actions">
-            <a href="{$MANAGE_LINK}&amp;unsubscribe={$sub.id}" class="unsub">{'Unsubscribe'|@translate}</a>
-            {if $sub.validated == 'false'}<br> <a href="{$MANAGE_LINK}&amp;validate={$sub.id}">{'Validate'|@translate}</a>{/if}
+            <a href="{$sub.U_UNSUB}" class="unsub">{'Unsubscribe'|translate}</a>
+            {if $sub.U_VALIDATE}<br> <a href="{$sub.U_VALIDATE}">{'Validate'|translate}</a>{/if}
           </div>
         </td>
@@ -43,10 +43,10 @@
   {if !empty($subscriptions)}
   <fieldset>
-    <legend>{'Manage my subscriptions'|@translate}</legend>
+    <legend>{'Manage my subscriptions'|translate}</legend>
     <table class="subscriptions_list">
       <tr class="header">
         <th class="chkb"><input type="checkbox" id="check_all"></th>
-        <th colspan="2" class="info">{'Subject'|@translate}</th>
-        <th class="date">{'Followed on'|@translate}</th>
+        <th colspan="2" class="info">{'Subject'|translate}</th>
+        <th class="date">{'Followed on'|translate}</th>
       </tr>
 
@@ -60,6 +60,6 @@
 
           <div class="actions">
-            <a href="{$MANAGE_LINK}&amp;unsubscribe={$sub.id}" class="unsub">{'Unsubscribe'|@translate}</a>
-            {if $sub.validated == 'false'}| <a href="{$MANAGE_LINK}&amp;validate={$sub.id}">{'Validate'|@translate}</a>{/if}
+            <a href="{$sub.U_UNSUB}" class="unsub">{'Unsubscribe'|translate}</a>
+            {if $sub.U_VALIDATE}<br> <a href="{$sub.U_VALIDATE}">{'Validate'|translate}</a>{/if}
           </div>
         </td>
@@ -72,16 +72,16 @@
       <tr class="footer {if $smarty.foreach.subs_loop.index is odd}row1{else}row2{/if}"><td colspan="4">
         <select name="action">
-          <option value="-1">{'Choose an action'|@translate}</option>
-          <option value="unsubscribe">{'Unsubscribe'|@translate}</option>
-          <option value="validate">{'Validate'|@translate}</option>
+          <option value="-1">{'Choose an action'|translate}</option>
+          <option value="unsubscribe">{'Unsubscribe'|translate}</option>
+          <option value="validate">{'Validate'|translate}</option>
         </select>
-        <input type="submit" name="apply_bulk" value="{'Apply action'|@translate}">
+        <input type="submit" name="apply_bulk" value="{'Apply action'|translate}">
       </td></tr>
     </table>
 
     <p>
-      <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> {'comments on a picture'|@translate}.
-      <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album-images.png"> {'comments on all pictures of an album'|@translate}.
-      {if $COA_ACTIVATED}<img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png"> {'comments on an album'|@translate}.{/if}
+      <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> {'comments on a picture'|translate}.
+      <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album-images.png"> {'comments on all pictures of an album'|translate}.
+      {if $COA_ACTIVATED}<img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png"> {'comments on an album'|translate}.{/if}
     </p>
   </fieldset>
@@ -90,6 +90,6 @@
   {if !empty($global_subscriptions) or !empty($subscriptions)}
     <p>
-      <label><input type="checkbox" name="unsubscribe_all_check" value="1"> {'Unsubscribe from all email notifications'|@translate}</label>
-      <input type="submit" name="unsubscribe_all" value="{'Submit'|@translate}">
+      <label><input type="checkbox" name="unsubscribe_all_check" value="1"> {'Unsubscribe from all email notifications'|translate}</label>
+      <input type="submit" name="unsubscribe_all" value="{'Submit'|translate}">
     </p>
   {/if}