Index: /trunk/language/mn_MN/admin.lang.php
===================================================================
--- /trunk/language/mn_MN/admin.lang.php	(revision 26144)
+++ /trunk/language/mn_MN/admin.lang.php	(revision 26145)
@@ -31,8 +31,7 @@
 $lang['default values'] = 'үндсэн утга';
 $lang['delete'] = 'устгах';
-$lang['delete album'] = 'цомогыг устгах';
-$lang['delete photo'] = 'зургыг устгах';
+$lang['delete album'] = 'цомгийг устгах';
+$lang['delete photo'] = 'зургийг устгах';
 $lang['deleted'] = 'устсан';
-$lang['Email'] = 'Имэйл';
 $lang['jump to album'] = 'цомог уруу очих';
 $lang['jump to photo'] = 'зураг уруу очих';
@@ -41,5 +40,5 @@
 $lang['number of miniaturized photos'] = 'үүсгэсэн дүрс зургын тоо';
 $lang['other'] = 'бусад';
-$lang['photos per page'] = 'нэг хуудсанд харагдах зураг';
+$lang['photos per page'] = '(нэг хуудсанд харагдах зураг)';
 $lang['ranks'] = 'түвшин';
 $lang['registered users'] = 'бүртгүүлсэн хэрэглэгчид';
@@ -60,5 +59,5 @@
 $lang['User'] = 'Хэрэглэгч';
 $lang['Thumbnail'] = 'Дүрс зураг';
-$lang['Thumbnails generation in progress...'] = 'Дүрс зургыг үүсгэж байна...';
+$lang['Thumbnails generation in progress...'] = 'Дүрс зургийг үүсгэж байна...';
 $lang['The whole page'] = 'Хуудсыг бүхэлд нь';
 $lang['This album contains no photo.'] = 'Энэ цомог хоосон байна';
@@ -75,6 +74,6 @@
 $lang['Save Settings'] = 'Тохиргоог хадаглах';
 $lang['Searching...'] = 'Хайж байна...';
-$lang['Select a file'] = 'Файлаа сонгоно уу';
-$lang['Select an album'] = 'Цомогоо сонгоно уу';
+$lang['Select a file'] = 'Файлаа сонгох';
+$lang['Select an album'] = 'Цомогоо сонгох';
 $lang['Reject'] = 'Цуцлах';
 $lang['Refresh'] = 'Сэргээх';
@@ -125,5 +124,5 @@
 $lang['Delete this language'] = 'Энэ хэлийг устгах';
 $lang['Delete selected photos'] = 'Сонгосон зургуудыг устгах';
-$lang['Delete Representant'] = 'Цомогны дүрс зургыг устгах';
+$lang['Delete Representant'] = 'Цомогны дүрс зургийг устгах';
 $lang['Day'] = 'Өдөр';
 $lang['Date'] = 'Огноо';
@@ -153,7 +152,7 @@
 $lang['%d hour'] = '%d цаг';
 $lang['%d hours'] = '%d цаг';
-$lang['%d photo was deleted'] = '%d зургыг устаглаа';
-$lang['%d albums moved'] = '%d цомогуудыг амжилттай зөөлөө';
-$lang['%d album moved'] = '%d цомогыг амжилттай зөөлөө';
+$lang['%d photo was deleted'] = '%d зургийг устгалаа';
+$lang['%d albums moved'] = '%d цомгийг амжилттай зөөлөө';
+$lang['%d album moved'] = '%d цомгийг амжилттай зөөлөө';
 $lang['%d guest'] = '%d зочин';
 $lang['%d guests'] = '%d зочин';
@@ -189,5 +188,5 @@
 $lang['dissociate from group'] = 'бүлгээс хасах';
 $lang['group "%s" added'] = '"%s" бүлгийг амжилттай нэмлээ';
-$lang['group "%s" deleted'] = '"%s" бүлгийг устаглаа';
+$lang['group "%s" deleted'] = '"%s" бүлгийг устгалаа';
 $lang['group "%s" updated'] = '"%s" бүлгийг амжилттай шинэчиллээ';
 $lang['associate to group'] = 'бүлэгт нэмэх';
@@ -200,14 +199,14 @@
 $lang['Add group'] = 'Бүлэг нэмэх';
 $lang['Album updated successfully'] = 'Цомогыг амжилттай шинэчиллээ';
-$lang['Administration Home'] = 'Админы үндсэн хуудас';
+$lang['Administration Home'] = 'Удирдлагын үндсэн хуудас';
 $lang['ACCESS_5'] = 'Эрх байхгүй';
-$lang['%d users deleted'] = '%d хэрэглэгчийг устаглаа';
+$lang['%d users deleted'] = '%d хэрэглэгчийг устгалаа';
 $lang['%d users'] = '%d хэрэглэгч';
-$lang['%d user deleted'] = '%d хэрэглэгчийг устаглаа';
+$lang['%d user deleted'] = '%d хэрэглэгчийг устгалаа';
 $lang['%d user'] = '%d хэрэглэгч';
-$lang['Drop into album'] = 'Цомогоо сонгоно уу';
+$lang['Drop into album'] = 'Цомогоо сонгох';
 $lang['Dump Database'] = 'Мэдээллийг санг устгах';
 $lang['Download,'] = 'Татаж авах,';
-$lang['Delete selected tags'] = 'Сонгосон түлхүүр үгсийг устгах';
+$lang['Delete selected tags'] = 'Сонгосон үгсийг устгах';
 $lang['Delete selected users'] = 'Сонгосон хэрэглэгчдийг устгах';
 $lang['Database'] = 'Өгөгдлийн сан';
@@ -222,5 +221,5 @@
 $lang['Manage photo ranks'] = 'Зурагны дараалал';
 $lang['New photos added'] = 'Шинэ зурагнууд нэмэгдлээ';
-$lang['%d photos were deleted'] = '%d зургыг устаглаа';
+$lang['%d photos were deleted'] = '%d зургийг устгалаа';
 $lang['(this tag will be deleted)'] = '(энэ түлхүүр үг устах болно)';
 $lang['Name'] = 'Нэр';
@@ -230,5 +229,5 @@
 $lang['History'] = 'Түүх';
 $lang['Edit tags'] = 'Түлхүүр үгсийг засах';
-$lang['Edit selected tags'] = 'Сонгосон түлхүүр үгсийг засах';
+$lang['Edit selected tags'] = 'Сонгосон үгсийг засах';
 $lang['Current name'] = 'Одоогын нэр';
 $lang['Confirm merge'] = 'Нэгтгэх';
@@ -239,11 +238,11 @@
 $lang['Original file : %s'] = 'Эх хувь: %s';
 $lang['Original Size'] = 'Үндсэн хэмжээ';
-$lang['Tag selection'] = 'Түлхүүр үгсийг сонгох';
+$lang['Tag selection'] = 'Түлхүүр үгсийг цэгцлэх';
 $lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = '<em>%s</em> гэсэн түлхүүр үгсийг нэгтгэж <em>%s</em> болголоо';
 $lang['Select at least two tags for merging'] = 'Нэгтгэхийн тулд дор хаяж хоёр үг сонгоно уу';
 $lang['New tag'] = 'Шинэ түлхүүр үг';
 $lang['Merge tags'] = 'Түлхүүр үгсийг нэгтгэх';
-$lang['Maximum height'] = 'Өндрийн хязгаар';
-$lang['Maximum width'] = 'Өргөний хязгаар';
+$lang['Maximum height'] = 'Өндөр';
+$lang['Maximum width'] = 'Өргөн';
 $lang['Rated %d times, score : %.2f'] = '%d-н удаа үнэлсэн, оноо: %.2f';
 $lang['Rate date'] = 'Үнэлгээ өгсөн огноо';
@@ -267,12 +266,12 @@
 $lang['Webmaster cannot be deleted'] = 'Вебмастерийг устгах боломжгүй';
 $lang['Webmaster status is required.'] = 'Вебмастерийн эрх шаардлагатай';
-$lang['Who can see these photos?'] = 'Энэ зургийг хэн үзэх боломжтой вэ?';
-$lang['Who can see this photo?'] = 'Энэ зургийг хэн үзэх боломжтой вэ?';
-$lang['Manage tags'] = 'Түлхүүр үгсийг зохицуулах';
+$lang['Who can see these photos?'] = 'Зургийг үзэх эрхтэй бүлэг?';
+$lang['Who can see this photo?'] = 'Зургийг үзэх эрхтэй бүлэг?';
+$lang['Manage tags'] = 'Түлхүүр үгсийг цэгцлэх';
 $lang['%d tags'] = '%d -н түлхүүр үг';
-$lang['The %d following tags were deleted'] = 'Дараахь %d түлхүүр үгсийг устаглаа';
+$lang['The %d following tags were deleted'] = 'Дараахь %d түлхүүр үгсийг устгалаа';
 $lang['All %d photos are selected'] = 'Нийт %d зураг сонгосон байна';
-$lang['Duplicate selected tags'] = 'Сонгосон түлхүүр үгсийг хувилах';
-$lang['Merge selected tags'] = 'Сонгосон түлхүүр үгсийг нэгтгэх';
+$lang['Duplicate selected tags'] = 'Сонгосон  үгсийг хувилах';
+$lang['Merge selected tags'] = 'Сонгосон үгсийг нэгтгэх';
 $lang['selection'] = 'сонголт';
 $lang['Select at least one album'] = 'Дор хаяж нэг цомог сонгоно уу';
@@ -287,7 +286,7 @@
 $lang['You have %d orphan tags: %s.'] = 'Нийт %d -н сондгой түлхүүр үгс байна: %s.';
 $lang['Delete orphan tags'] = 'Сондгой түлхүүр үгсийг устгах';
-$lang['Orphan tags deleted'] = 'Сондгой түлхүүр үгсийг амжилттай устаглаа';
+$lang['Orphan tags deleted'] = 'Сондгой түлхүүр үгсийг амжилттай устгалаа';
 $lang['Inactive Languages'] = 'Идэвхжүүлээгүй байгаа хэл';
-$lang['Album "%s" has been added'] = '"%s" цомогыг амжилттай нэмлээ';
+$lang['Album "%s" has been added'] = '"%s" цомгийг амжилттай нэмлээ';
 $lang['Album "%s" now contains %d photos'] = '"%s" цомогт нийт %d зураг байна';
 $lang['Level 1'] = 'Танилууд';
@@ -299,5 +298,5 @@
 $lang['Uploaded Photos'] = 'Нэмэгдсэн зурагнууд';
 $lang['Upload Photos'] = 'Зураг нэмэх';
-$lang['%d albums including'] = 'Нийт %d цомог';
+$lang['%d albums including'] = 'Нийт %d цомог ';
 $lang['first photo added on %s'] = 'анхны зураг оруулсан огноо: %s';
 $lang['Version'] = 'Хувилбар';
@@ -316,5 +315,5 @@
 $lang['Position'] = 'Байршил';
 $lang['Number of comments per page'] = 'Нэг хуудасанд харуулах сэтгэгдэлийн тоо';
-$lang['Number of albums per page'] = 'Нэг хуудасанд харуулах цомогийн тоо';
+$lang['Number of albums per page'] = 'Нэг хуудасанд харуулах цомгийн тоо';
 $lang['Number of rates'] = 'Үнэлсэн тоо';
 $lang['Main Page'] = 'Үндсэн хуудас';
@@ -326,5 +325,4 @@
 $lang['Mail content'] = 'Имэйлийн агуулга';
 $lang['Mail sent to %s [%s].'] = 'Имэйлийг %s [%s] уруу амжилттай илгээлээ.';
-$lang['Main'] = 'Үндсэн';
 $lang['This album contains %d photos, added between %s and %s.'] = 'Энэ цомогт %s-с %s-ний хооронд оруулсан нийт %d зураг байна.';
 $lang['This album contains %d photos, added on %s.'] = 'Энэ цомогт %s-нд оруулсан нийт %d зураг байна.';
@@ -353,3 +351,104 @@
 $lang['remove title'] = 'нэрийг устгах';
 $lang['Numeric identifier : %d'] = 'Дугаар: %d';
+$lang['%d photos uploaded'] = '%d зураг орууллаа';
+$lang['%d physical'] = ' %d бодит';
+$lang['%d physicals'] = ' %d бодит';
+$lang['Environment'] = 'Серверийн орчин';
+$lang['Theme has been successfully installed'] = 'Загварыг амжилттай суулгалаа';
+$lang['Delete this theme'] = 'Тухайн загварыг устгах';
+$lang['Add New Theme'] = 'Шинэ загвар нэмэх';
+$lang['Themes which need upgrade'] = 'Шинэчлэх шаардлагатай загварууд';
+$lang['Themes'] = 'Загварууд';
+$lang['Inactive Themes'] = 'Идэвхгүй загварууд';
+$lang['Installed Themes'] = 'Суусан загварууд';
+$lang['Active Themes'] = 'Идэвхтэй загварууд';
+$lang['There is no other language available.'] = 'Шинээр суулгах өөр хэл байхгүй байна';
+$lang['Updates'] = 'Шинэчлэлт';
+$lang['All languages are up to date.'] = 'Хэлний бүх файл шинэчлэгдсэн байна';
+$lang['Check for updates'] = 'Шинэ хувилбар шалгах';
+$lang['Default comments order'] = 'Сэтгэгдэлийн дараалал';
+$lang['pending validation'] = 'баталгаажуулалт хүлээж буй үед';
+$lang['Notify administrators when a comment is'] = 'Зохицуулагчид мэдэгдэх:';
+$lang['added'] = 'сэтгэгдэл оруулсан үед';
+$lang['User comments validation'] = 'Хэрэглэгчийн сэтгэгдэлийг баталгаажуулах';
+$lang['Validation'] = 'Баталгаажуулах';
+$lang['Photo Properties'] = 'Зургийн шинж чанарууд';
+$lang['Photo Page'] = 'Зургийн хуудас';
+$lang['Activate icon "new" next to albums and pictures'] = 'Цомог, зурагны хажууд "шинэ" гэсэн тэмдэгийг харуулах';
+$lang['Activate icon "%s"'] = '"%s" сонголтыг идэвхжүүлэх';
+$lang['X Repeat'] = 'Давтах тоо';
+$lang['middle'] = 'голд';
+$lang['Sharpen'] = 'Дүрсний тодролт';
+$lang['Delete multiple size images'] = 'Төрөл бүрийн хэмжээтэй зургийг устгах';
+$lang['Generate multiple size images'] = 'Төрөл бүрийн хэмжээтэй зураг үүсгэх';
+$lang['Multiple Size'] = 'Төрөл бүрийн хэмжээ';
+$lang['show details'] = 'нарийн тохиргоог харуулах';
+$lang['Options'] = 'Сонголтууд';
+$lang['Your configuration settings are saved'] = 'Тохиргоог амжилттай хадгаллаа';
+$lang['Resize after upload'] = 'Оруулсаны дараа хэмжээг шинэчлэх';
+$lang['Piwigo configuration'] = 'Тохиргооны талбар';
+$lang['simple visitors'] = 'энгийн зочид';
+$lang['administrators'] = 'зохицуулагчид';
+$lang['Save visits in history for'] = 'Сайтад зочилсон бичлэгийг нь хадгалах бүлэг:';
+$lang['Add a criteria'] = 'Шинэ нөхцөл нэмэх';
+$lang['Default photos order'] = 'Зургийн үндсэн дараалал';
+$lang['Information data registered in database'] = 'Тохиргоог амжилттай шинэчлэн хадгаллаа';
+$lang['Mail address is obligatory for all users'] = 'Бүх хэрэглэгчид и-мэйл хаягаа оруулах ёстой';
+$lang['Allow user customization'] = 'Хэрэглэгчид тохиргоогоо засаж болно';
+$lang['Allow user registration'] = 'Бүртгэлийг идэвхжүүлэх';
+$lang['Rating by guests'] = 'Зочид үнэлгээ өгч болно';
+$lang['Allow rating'] = 'Үнэлгээг идэвхжүүлэх';
+$lang['Page banner'] = 'Нүүр хуудасны баннер';
+$lang['Gallery title'] = 'Галларейн нэр';
+$lang['With blank value, gallery title will be used'] = 'Хоосон бол галларейн нэрийг ашиглах болно';
+$lang['Add to caddie'] = 'Устгах жагсаалтанд нэмэх';
+$lang['Caddie'] = 'Устгах';
+$lang['Remove from caddie'] = 'Устгах жагсаалтаас хасах';
+$lang['add new photos to caddie'] = 'шинэ зургийг устгах жагсаалтанд нэмэх';
+$lang['Duplicates'] = 'Давхардсан';
+$lang['With no album'] = 'Цомогт ороогүй';
+$lang['With no tag'] = 'Түлхүүр үггүй';
+$lang['With no virtual album'] = 'Виртуаль цомогт ороогүй';
+$lang['Last import'] = 'Сүүлд оруулсан';
+$lang['Predefined filter'] = 'Шүүлтүүр';
+$lang['Sum of rates'] = 'Үнэлгээний дүн';
+$lang['The whole set'] = 'Бүх цомгийг';
+$lang['include child albums'] = 'дэд цомгийг хамруулах';
+$lang['Visit Gallery'] = 'Цомгийг харах';
+$lang['Switch to clear or dark colors for administration'] = 'Удирдлагын талбарыг бараан болон цайвар өнгөөр солих';
+$lang['Change Admin Colors'] = 'Өнгийг солих';
+$lang['Piwigo Administration'] = 'Удирдлагын талбар';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Piwigo-н шинэ мэдээний эмхэтгэлд %s -г бүртгүүлэх';
+$lang['Show info'] = 'Мэдээллийг харах';
+$lang['Graphics Library'] = 'Зургийн программ';
+$lang['%d associations'] = 'нийт %d утга';
+$lang[' and %d virtual'] = ' ба %d хийсвэр';
+$lang[' and %d virtuals'] = ' ба %d хийсвэр';
+$lang['%d album including'] = 'Нийт %d цомог ';
+$lang['Check for upgrade'] = 'Шинэ хувилбар шалгах';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Шинэ хувилбарыг шалгах үед үлмэдэгдэх алдаа гарлаа.';
+$lang['Unable to check for upgrade.'] = 'Шинэ хувилбарыг шалгах боломжгүй байна.';
+$lang['Applications'] = 'Программууд';
+$lang['+ Add an upload box'] = '+ Зураг оруулах талбар нэмэх';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Та Browser uploader-г ашиглан зураг оруулж байна. <a href="%s">Flash uploader</a>-г бас ашиглаад үзээрэй.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Та Flash uploader-г ашиглан зураг оруулж байна. Хэрвээ асуудал гараад байвал <a href="%s">Browser uploader</a>-г ашиглаж үзээрэй.';
+$lang['Maximum file size: %sB.'] = 'Файлын дээд хэмжээ: %sB.';
+$lang['Start Upload'] = 'Оруулах';
+$lang['Allowed file types: %s.'] = 'Зөвшөөрөгдөх зургийн төрлүүд: %s.';
+$lang['Select files'] = 'Зургийн файлаа сонгох';
+$lang['... or '] = '...эсвэл';
+$lang['unit mode'] = 'дэлгэрэнгүй хэсэг';
+$lang['unset'] = 'өөрчлөөгүй';
+$lang['Display options'] = 'Харагдах байдал';
+$lang['display'] = 'Сонгоно уу';
+$lang['global mode'] = 'ерөнхий хэсэг';
+$lang['Support'] = 'Тусламж дэмжлэг';
+$lang['Choose an action'] = 'Үйлдэлээ сонгоно уу';
+$lang['Action'] = 'Үйлдэл';
+$lang['No user selected, no action possible.'] = 'Хэрэглэгч сонгоогүй байна';
+$lang['No photo selected, no action possible.'] = 'Зураг огт сонгоогүй байна';
+$lang['Remove all filters'] = 'Бүх шүүлтүүрийг цуцлах';
+$lang['Refresh photo set'] = 'Сэргээх';
+$lang['No photo selected, %d photos in current set'] = 'Зураг огт сонгоогүй байна, энэ хэсэгт нийт %d зураг байна.';
+$lang['None'] = 'Нэгийг ч биш';
 ?>