Index: /extensions/Subscribe_to_comments/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/ru_RU/plugin.lang.php	(revision 26151)
+++ /extensions/Subscribe_to_comments/language/ru_RU/plugin.lang.php	(revision 26152)
@@ -26,5 +26,4 @@
 $lang['Return to item page'] = 'Вернуться к списку';
 $lang['Subscribe'] = 'Подписаться';
-$lang['Subscriptions of'] = 'Подписки на';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Вы успешно отписали Ваш адрес электронной почты и не получите больше уведомлений.';
 $lang['Unsubscribe from all email notifications'] = 'Отказаться от всех уведомлений по электронной почте';
@@ -32,5 +31,4 @@
 $lang['You are not subscribed to any comment.'] = 'Вы не подписаны на комментарии.';
 $lang['Your subscription has been validated, thanks you.'] = 'Ваша подписка была подтверждена, спасибо.';
-$lang['%s has subscribed to comments on'] = '%s подписан на комментарии';
 $lang['Allow users to subscribe to global notifications'] = 'Разрешить пользователям подписываться на все комментарии';
 $lang['Already validated.'] = 'Уже проверен.';
@@ -40,17 +38,12 @@
 $lang['Followed on'] = 'Followed on';
 $lang['Manage my subscriptions'] = 'Управление подпиской';
-$lang['New comment on'] = 'Новый комментарий к';
-$lang['New subscription on'] = 'Новая подписка на';
 $lang['Not found.'] = 'Не найдено.';
 $lang['Notify administrators when a user take a new subscription'] = 'Уведомлять администраторов когда пользователь оформит новую подписку';
 $lang['Subject'] = 'Содержание';
-$lang['Subscribe to comments on'] = 'Подписаться на комментарии к';
 $lang['Subscribe to mail notifications'] = 'Подписаться на уведомления по e-mail';
 $lang['To activate, click the confirm button. If you believe this is an error, please just ignore this message.'] = 'Для активации нажмите кнопку Продолжить. Если вы считаете, что это ошибка, пожалуйста, просто игнорируйте это сообщение.';
 $lang['Validate'] = 'Подтвердить';
 $lang['Want to edit your notifications options?'] = 'Хотите редактировать опции уведомлений?';
-$lang['You are currently subscribed to comments on'] = 'Вы в настоящее время подписаны на комментарии';
 $lang['You have been added to the list of subscribers.'] = 'Вы были добавлены в список абонентов.';
-$lang['You requested to subscribe by email to comments on'] = 'Вы запросили подписку по электронной почте на комментарии к';
 $lang['all albums of the gallery'] = 'все альбомы в галерее';
 $lang['all pictures of the album <a href="%s">%s</a>'] = 'все фотографии альбома <a href="%s">%s</a>';
@@ -69,5 +62,4 @@
 $lang['New subscription on %s'] = 'Новая подписка на %s';
 $lang['Stop receiving notifications'] = 'Приостановить получение уведомлений';
-$lang['Subscribe to comments on %s'] = 'Подписаться на комментарии %s';
 $lang['Subscriptions of %s'] = 'Подписки %s';
 $lang['You are currently subscribed to comments on %s.'] = 'Вы сейчас подписаны на комментарии %s';
@@ -78,3 +70,7 @@
 $lang['Last subscription'] = 'Последняя подписка';
 $lang['No result'] = 'Нет результата';
+$lang['<b>%s</b> wrote on <i>%s</i>'] = '<b>%s</b> написано <i>%s</i>';
+$lang['Apply action'] = 'Подтвердить действие';
+$lang['Choose an action'] = 'Выбрать действие';
+$lang['Subscribe without commenting'] = 'Подписка без комментариев';
 ?>