Index: /trunk/language/mn_MN/admin.lang.php
===================================================================
--- /trunk/language/mn_MN/admin.lang.php	(revision 26183)
+++ /trunk/language/mn_MN/admin.lang.php	(revision 26184)
@@ -33,5 +33,5 @@
 $lang['delete album'] = 'цомгийг устгах';
 $lang['delete photo'] = 'зургийг устгах';
-$lang['deleted'] = 'устсан';
+$lang['deleted'] = 'устгасан үед';
 $lang['jump to album'] = 'цомог уруу очих';
 $lang['jump to photo'] = 'зураг уруу очих';
@@ -72,5 +72,5 @@
 $lang['Representation of albums'] = 'Цомогны дүрс зураг';
 $lang['Representative'] = 'Цомогны дүрс зураг';
-$lang['Save Settings'] = 'Тохиргоог хадаглах';
+$lang['Save Settings'] = 'Тохиргоог хадгалах';
 $lang['Searching...'] = 'Хайж байна...';
 $lang['Select a file'] = 'Файлаа сонгох';
@@ -93,5 +93,5 @@
 $lang['Move albums'] = 'Цомогыг зөөх';
 $lang['Move to album'] = 'Цомог уруу зөөх';
-$lang['Informations'] = 'Мэдээлэл';
+$lang['Informations'] = 'Мэдээллийн эмхэтгэл';
 $lang['Install'] = 'Суулгах';
 $lang['Installed Languages'] = 'Идэвхтэй байгаа хэл';
@@ -175,5 +175,5 @@
 $lang['Select users...'] = 'Хэрэглэгчийг сонгох...';
 $lang['User status'] = 'Төлөв';
-$lang['Subscribe/unsubscribe users'] = 'Хэрэглэгчийг бүртгэх/бүртгэлээс хасах';
+$lang['Subscribe/unsubscribe users'] = 'Мэдээний эмхэтгэлд бүртгэх/бүртгэлээс хасах';
 $lang['Select at least one user'] = 'Дор хаяж нэг хэрэглэгчийг сонгоно уу';
 $lang['Users'] = 'Хэрэглэгчид';
@@ -189,5 +189,5 @@
 $lang['group "%s" added'] = '"%s" бүлгийг амжилттай нэмлээ';
 $lang['group "%s" deleted'] = '"%s" бүлгийг устгалаа';
-$lang['group "%s" updated'] = '"%s" бүлгийг амжилттай шинэчиллээ';
+$lang['group "%s" updated'] = '"%s" бүлгийн мэдээллийг амжилттай шинэчиллээ';
 $lang['associate to group'] = 'бүлэгт нэмэх';
 $lang['%d groups'] = '%d бүлэг';
@@ -199,5 +199,5 @@
 $lang['Add group'] = 'Бүлэг нэмэх';
 $lang['Album updated successfully'] = 'Цомогыг амжилттай шинэчиллээ';
-$lang['Administration Home'] = 'Удирдлагын үндсэн хуудас';
+$lang['Administration Home'] = 'Удирдлага';
 $lang['ACCESS_5'] = 'Эрх байхгүй';
 $lang['%d users deleted'] = '%d хэрэглэгчийг устгалаа';
@@ -331,5 +331,5 @@
 $lang['Send connection settings by email'] = 'Холболтын тохиргоог имэйлээр илгээх';
 $lang['Selection'] = 'Сонголт';
-$lang['Save order'] = 'Эрэмбийг хадаглах';
+$lang['Save order'] = 'Эрэмбийг хадгалах';
 $lang['Restore'] = 'Сэргээх';
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Үндсэн тохиргоог сэргээх. Нэмэлт программийн тохиргоонууд алдагдах болно.';
@@ -371,5 +371,5 @@
 $lang['Notify administrators when a comment is'] = 'Зохицуулагчид мэдэгдэх:';
 $lang['added'] = 'сэтгэгдэл оруулсан үед';
-$lang['User comments validation'] = 'Хэрэглэгчийн сэтгэгдэлийг баталгаажуулах';
+$lang['User comments validation'] = 'Сэтгэгдэлийг баталгаажуулах';
 $lang['Validation'] = 'Баталгаажуулах';
 $lang['Photo Properties'] = 'Зургийн шинж чанарууд';
@@ -392,5 +392,5 @@
 $lang['Save visits in history for'] = 'Сайтад зочилсон бичлэгийг нь хадгалах бүлэг:';
 $lang['Add a criteria'] = 'Шинэ нөхцөл нэмэх';
-$lang['Default photos order'] = 'Зургийн үндсэн дараалал';
+$lang['Default photos order'] = 'Зургийн дараалал';
 $lang['Information data registered in database'] = 'Тохиргоог амжилттай шинэчлэн хадгаллаа';
 $lang['Mail address is obligatory for all users'] = 'Бүх хэрэглэгчид и-мэйл хаягаа оруулах ёстой';
@@ -490,4 +490,79 @@
 $lang['Privacy level'] = 'Хандах эрх';
 $lang['Maintenance'] = 'Засвар үйлчилгээ';
-$lang['Pending Comments'] = 'Хүлээгдэж буй сэтгэгдэлүүд';
+$lang['Pending Comments'] = 'Cэтгэгдэлүүд';
+$lang['%s has been successfully updated.'] = '%s амжилттай шинэчиллээ.';
+$lang['%d user was not updated.'] = '%d хэрэглэгчийн мэдээллийг шинэчилж чадсангүй.';
+$lang['%d user was updated.'] = '%d хэрэглэгчийн мэдээллийг амжилттай шинэчиллээ.';
+$lang['%d users were not updated.'] = '%d хэрэглэгчийн мэдээллийг шинэчилж чадсангүй.';
+$lang['%d users were updated.'] = '%d хэрэглэгчийн мэдээллийг амжилттай шинэчиллээ.';
+$lang['%d parameter was updated.'] = '%d тохиргоог шинэчиллээ.';
+$lang['modified'] = 'зассан үед';
+$lang['Subscribe to notification by mail'] = 'Бүртгэлд амжилттай нэмлээ';
+$lang['Unsubscribe from notification by mail'] = 'Бүртгэлээс хаслаа';
+$lang['You have subscribed to receiving notifications by mail.'] = 'Таны и-мэйл хаягыг шинэ мэдээ, мэдээллийн эмхэтгэлийн бүртгэлд амжилттай нэмлээ.';
+$lang['You have unsubscribed from receiving notifications by mail.'] = 'Таны и-мэйл хаягыг шинэ мэдээ, мэдээллийн эмхэтгэлийн бүртгэлээс хаслаа.';
+$lang['See you soon,'] = 'Танд амжилт хүсье,';
+$lang['See you soon.'] = 'Танд амжилт хүсье.';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'Манай вэбмастер Таны и-мэйлийг шинэ мэдээ, мэдээллийн эмхэтгэлийн санд нэмж орууллаа.';
+$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Манай вэбмастер Таны и-мэйлийг шинэ мэдээ, мэдээллийн эмхэтгэлийн сангаас хаслаа.';
+$lang['Subscribe'] = 'Бүртгүүлэх';
+$lang['Subscribed'] = 'Бүртгүүлсэн';
+$lang['To subscribe'] = 'Мэдээллийн эмхэтгэлд бүртгүүлэхийг хүсвэл';
+$lang['To unsubscribe'] = 'Мэдээллийн эмхэтгэлээс хасуулахыг хүсвэл';
+$lang[', click on'] = 'дараахь холбоосыг ашиглана уу';
+$lang['Uncheck all'] = 'Бүх сонголтыг цуцлах';
+$lang['If you encounter problems or have any question, please send a message to'] = 'Хэрэв Танд асуух зүйл гарвал дараахь хаягаар холбоо барина уу.';
+$lang['Error when sending email to %s [%s].'] = '%s [%s] хаяг уруу и-мэйл илгээхэд алдаа гарлаа.';
+$lang['To send ?'] = 'И-мэйл илгээх эсэх?';
+$lang['Send'] = 'Илгээх';
+$lang['Go to'] = 'Дараахь холбоосоор хандана уу...';
+$lang['Password updated'] = 'Нууц үгийг шинэчиллээ';
+$lang['Photo informations updated'] = 'Зургийн мэдээллийг шинэчиллээ';
+$lang['Status of user "%s" updated'] = 'Хэрэглэгч "%s"-н мэдээллийг амжилттай шинэчиллээ';
+$lang['User %s [%s] was not removed from the subscription list.'] = 'Хэрэглэгч %s [%s]-г шинэ мэдээний сангаас хасаж чадсангүй.';
+$lang['User %s [%s] was removed from the subscription list.'] = 'Хэрэглэгч %s [%s]-г шинэ мэдээний сангаас хаслаа.';
+$lang['User %s added'] = 'Хэрэглэгч  %s-г амжилттай нэмлээ';
+$lang['user "%s" added'] = 'Хэрэглэгч "%s"-г амжилттай нэмлээ';
+$lang['albums added in the database'] = 'цомогыг мэдээллийн санд амжилттай нэмлээ';
+$lang['photos added in the database'] = 'зургийг мэдээллийн санд нэмлээ';
+$lang['User %s [%s] was not added to the subscription list.'] = 'Хэрэглэгч %s [%s]-г шинэ мэдээний санд бүртгэж чадсангүй.';
+$lang['User %s [%s] added.'] = 'Хэрэглэгч %s [%s]-г амжилттай нэмлээ';
+$lang['User %s [%s] was added to the subscription list.'] = 'Хэрэглэгч %s [%s]-г шинэ мэдээний санд амжилттай бүртгэлээ.';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Анхаар: Бүртгэлд(ээс) нэмэх/хасах бүрт хэрэглэгч уруу и-мэйл илгээх болно. ';
+$lang['Send mail to users'] = 'Хэрэглэгчдэд и-мэйл илгээх';
+$lang['Complementary mail content'] = 'Нэмэлт мэдээлэл';
+$lang['Add detailed content'] = 'Нэмэлт мэдээлэл оруулах';
+$lang['Send mail as'] = 'И-мэйлийн гарчиг';
+$lang['%d parameters were updated.'] = '%d тохиргоог шинэчиллээ.';
+$lang['Parameters'] = 'Тохиргоо';
+$lang['User list'] = 'Хэрэглэгчдийн жагсаалт';
+$lang['Album list management'] = 'Цомогын дарааллыг зохицуулах';
+$lang['Apply to sub-albums'] = 'дэд цомгийг хамруулах';
+$lang['manage sub-albums'] = 'дэд цомгийг цэгцлэх';
+$lang['Albums automatically sorted'] = 'Цомогуудыг амжилттай эрэмбэллээ';
+$lang['Automatic sort order'] = 'Эрэмблэх';
+$lang['apply automatic sort order'] = 'автоматаар эрэмблэх';
+$lang['Order of menubar items has been updated successfully.'] = 'Цэсний дарааллыг амжилттай шинэчиллээ.';
+$lang['Menu Management'] = 'Цэс';
+$lang['Show menubar'] = 'Цэсийг харуулах';
+$lang['You are running the latest version of Piwigo.'] = 'Та Piwigo-н хамгийн сүүлийн хувилбарыг ашиглаж байна.';
+$lang['Update albums informations'] = 'Цомогний мэдээллийг шинэчлэх';
+$lang['Update Complete'] = 'Шинэчлэлт амжилттай хийгдлээ';
+$lang['User %s updated'] = '%s хэрэглэгчийн мэдээллийг амжилттай шинэчиллээ';
+$lang['Update user'] = 'Хэрэглэгчийн мэдээллийг шинэчлэх';
+$lang['Reset ignored updates'] = 'Цуцалсан шинэчлэлийг сэргээх';
+$lang['Update All'] = 'Бүгдийг шинэчлэх';
+$lang['Update in progress... Please wait.'] = 'Шинэчлэлт хийгдэж байна... Түр хүлээнэ үү.';
+$lang['Update photos information'] = 'Зурагны мэдээллийг шинэчлэх';
+$lang['Update to Piwigo %s'] = 'Piwigo %s уруу шинэчлэх';
+$lang['Caddie management'] = 'Устгах жагсаалтын зохицуулалт';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'дэлгэрэнгүй мэдээллийг харуулах (нэмж хассан цомог болон зурагнууд)';
+$lang['directories + files'] = 'хавтас + файлуудыг';
+$lang['only directories'] = 'зөвхөн хавтасуудыг';
+$lang['synchronize files structure with database'] = 'Файлийн бүтцийг мэдээллийн сантай давхцуулж тулгах';
+$lang['Choose an option'] = 'Сонголтоо хийнэ үү';
+$lang['%d user comment rejected'] = '%d хэрэглэгчийн сэтгэгдэлийг цуцаллаа';
+$lang['%d user comment validated'] = '%d хэрэглэгчийн сэтгэгдэлийг идэвхжүүллээ';
+$lang['%d user comments rejected'] = '%d хэрэглэгчийн сэтгэгдэлийг цуцаллаа';
+$lang['%d user comments validated'] = '%d хэрэглэгчийн сэтгэгдэлийг идэвхжүүллээ';
 ?>