Index: extensions/piwishack/language/ru_RU/description.txt
===================================================================
--- extensions/piwishack/language/ru_RU/description.txt	(revision 26237)
+++ extensions/piwishack/language/ru_RU/description.txt	(revision 26239)
@@ -1,1 +1,1 @@
-Показывает отформатированный список ссылок для вставки ссылок на фотографии на вебсайты, в блоги и форумы.
+Показывает отформатированный список ссылок для вставки этих ссылок на изображения на другие вебсайты, в блоги и форумы.
Index: extensions/piwishack/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 26237)
+++ extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 26239)
@@ -19,7 +19,49 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack']  = 'Открыть окно PiwiShack.';
-$lang['close_window_piwishack'] = 'Закрыть окно PiwiShack.';
+$lang['open_window_piwishack'] = 'Открыть окно PiwiShack';
+$lang['close_window_piwishack'] = 'Закрыть окно PiwiShack';
 $lang['Partage_me']             = 'Ссылка на ваше изображение.';
 
+$lang['admin_codes_help'] = 'Подсказка: Каждый номер определяет порядок сортировки, используемый для отображения. Поставьте "0" (нуль), если Вы не хотите отображать эту строку шаблона.';
+$lang['post_code_Image'] = 'Просмотр в обычном режиме (без ссылок)';
+$lang['post_code_ImageToGallery'] = 'Просмотр в обычном режиме (можно кликать по ссылкам на галерею)';
+$lang['post_code_NameToGallery'] = 'Название изображения со ссылкой на галерею';
+$lang['post_code_NameToImage'] = 'Название изображения со ссылкой на изображение';
+$lang['admin_used_by'] = 'Возможностями PiwiShack могут пользоваться';
+$lang['admin_used_by_admin'] = 'только администраторы';
+$lang['admin_img_name_all'] = 'всегда';
+$lang['admin_img_name_list'] = 'только для списков';
+$lang['admin_img_name_never'] = 'никогда';
+$lang['admin_save'] = 'Сохранить';
+$lang['admin_title'] = 'Конфигурация PiwiShack';
+$lang['admin_used_by_all'] = 'все посетители (включая гостей)';
+$lang['admin_used_by_members'] = 'зарегистрированные пользователи';
+$lang['admin_window_open'] = 'HTML-cсылка откроется';
+$lang['admin_window_open_local'] = 'в текущем окне (стандартно)';
+$lang['admin_window_open_other'] = 'в новом окне (не рекомендуется)';
+$lang['close'] = 'Закрыть';
+$lang['custom_code'] = 'Настройка кода #';
+$lang['post_code_Thumbnail'] = 'Отображать миниатюру (без ссылки)';
+$lang['post_code_ThumbnailToGallery'] = 'Отображать миниатюру (по ней можно кликать, ссылка на галерею)';
+$lang['post_code_ThumbnailToImage'] = 'Отображать миниатюру (по ней можно кликать, ссылка на изображение)';
+$lang['sheet_bbcode'] = 'Основные BBCode';
+$lang['sheet_custom'] = 'Остальные коды';
+$lang['sheet_html'] = 'Основные HTML';
+$lang['admin_custom_code'] = 'Настройка кода #';
+$lang['admin_img_name'] = 'Название изображения отображать перед кодом?';
+$lang['admin_fieldset_codes'] = 'Выбор кодов Piwishack';
+$lang['admin_fieldset_custom'] = 'Дополнительная страница: настраиваемые коды строки';
+$lang['admin_default_sheet'] = 'Формат страницы, отображаемый по умолчанию';
+$lang['admin_default_sheet_custom'] = 'настройка';
+$lang['admin_codes_img'] = 'Изображение без ссылки';
+$lang['admin_codes_img_to_page'] = 'Изображение со ссылкой на галерею';
+$lang['admin_codes_name_to_image'] = 'Название изображения со ссылкой на изображение';
+$lang['admin_codes_name_to_page'] = 'Название изображения со ссылкой на галерею';
+$lang['admin_codes_thumb'] = 'Миниатюра без ссылки';
+$lang['admin_codes_thumb_to_image'] = 'Миниатюра со ссылкой на изображение';
+$lang['admin_codes_thumb_to_page'] = 'Миниатюра со ссылкой на страницу галереи';
+$lang['admin_custom_name'] = 'Имя:';
+$lang['admin_default_sheet_bbcode'] = 'BBCode (например, для форума)';
+$lang['admin_default_sheet_html'] = 'HTML (для веб-страниц)';
+$lang['admin_fieldset_main'] = 'Основные параметры';
 ?>