Index: /extensions/header_manager/admin/add.php
===================================================================
--- /extensions/header_manager/admin/add.php	(revision 26307)
+++ /extensions/header_manager/admin/add.php	(revision 26308)
@@ -13,4 +13,7 @@
 {
   include_once(HEADER_MANAGER_PATH . 'include/banner.class.php');
+  
+  $conf['header_manager']['keep_ratio'] = isset($_POST['keep_ratio']);
+  conf_update_param('header_manager', serialize($conf['header_manager']));
   
   $banner = get_banner($_POST['picture_file']);
@@ -118,4 +121,5 @@
     'picture' => $picture,
     'crop' => hm_get_crop_display($picture),
+    'keep_ratio' => $conf['header_manager']['keep_ratio'],
     ));
 }
Index: /extensions/header_manager/admin/template/add.tpl
===================================================================
--- /extensions/header_manager/admin/template/add.tpl	(revision 26307)
+++ /extensions/header_manager/admin/template/add.tpl	(revision 26308)
@@ -17,5 +17,5 @@
     boxHeight: {$crop.box_height},
     trueSize: [{$picture.width}, {$picture.height}],
-    aspectRatio: {$crop.real_width}/{$crop.real_height},
+    {if $keep_ratio}aspectRatio: {$crop.real_width}/{$crop.real_height},{/if}
     setSelect: [{$crop.l}, {$crop.t}, {$crop.r}, {$crop.b}],
     onChange: function(sel) {
@@ -37,4 +37,5 @@
   function() {
     jcrop_api = this;
+    {if $keep_ratio}jQuery(".jcrop-holder").addClass('fixed-ratio');{/if}
   });
   
@@ -46,4 +47,5 @@
       jcrop_api.release();
     }
+    jQuery(".jcrop-holder").toggleClass('fixed-ratio');
   });
 }());
@@ -60,5 +62,5 @@
     <li><b>{'Width'|translate}:</b> <span id="width"></span>px</li>
     <li><b>{'Height'|translate}:</b> <span id="height"></span>px</li>
-    <li><label><input type="checkbox" name="keep_ratio" checked> {'Respect %s aspect ratio'|translate:($crop.desired_width|cat:'/'|cat:$crop.desired_height)}</label></li>
+    <li><label><input type="checkbox" name="keep_ratio" {if $keep_ratio}checked{/if}> {'Respect %s aspect ratio'|translate:($crop.desired_width|cat:'/'|cat:$crop.desired_height)}</label></li>
   </ul>
   
Index: /extensions/header_manager/admin/template/style.css
===================================================================
--- /extensions/header_manager/admin/template/style.css	(revision 26307)
+++ /extensions/header_manager/admin/template/style.css	(revision 26308)
@@ -62,2 +62,9 @@
     vertical-align:middle;
   }
+  
+.jcrop-holder.fixed-ratio .ord-s,
+.jcrop-holder.fixed-ratio .ord-n,
+.jcrop-holder.fixed-ratio .ord-e,
+.jcrop-holder.fixed-ratio .ord-w {
+  display:none;
+}
Index: /extensions/header_manager/include/banner.class.php
===================================================================
--- /extensions/header_manager/include/banner.class.php	(revision 26307)
+++ /extensions/header_manager/include/banner.class.php	(revision 26308)
@@ -51,16 +51,3 @@
     return $this->get_resize_result($destination_filepath, $crop['width'], $crop['height'], $starttime);
   }
-  
-  private function get_resize_result($destination_filepath, $width, $height, $time=null)
-  {
-    return array(
-      'source'      => $this->source_filepath,
-      'destination' => $destination_filepath,
-      'width'       => $width,
-      'height'      => $height,
-      'size'        => floor(filesize($destination_filepath) / 1024).' KB',
-      'time'        => $time ? number_format((get_moment() - $time) * 1000, 2, '.', ' ').' ms' : null,
-      'library'     => $this->library,
-    );
-  }
 }
Index: /extensions/header_manager/maintain.inc.php
===================================================================
--- /extensions/header_manager/maintain.inc.php	(revision 26307)
+++ /extensions/header_manager/maintain.inc.php	(revision 26308)
@@ -12,4 +12,5 @@
       'display' => 'image_only',
       'banner_on_picture' => true,
+      'keep_ratio' => true
     );
 
@@ -27,10 +28,16 @@
     {
       $new_conf = is_string($conf['header_manager']) ? unserialize($conf['header_manager']) : $conf['header_manager'];
+      
       if (!isset($new_conf['banner_on_picture']))
       {
         $new_conf['banner_on_picture'] = true;
-        $conf['header_manager'] = serialize($new_conf);
-        conf_update_param('header_manager', $conf['header_manager']);
       }
+      else if (!isset($new_conf['keep_ratio']))
+      {
+        $new_conf['keep_ratio'] = true;
+      }
+      
+      $conf['header_manager'] = serialize($new_conf);
+      conf_update_param('header_manager', $conf['header_manager']);
     }
 